<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/putusan/pidana_militer/".$filename.".rtf");

$Template = file_get_contents($url);

function parse_day_to_year($vonis){
	$result = array();
	$month = (int)($vonis/30);
	$year = (int) ($month/12);
	$month = (int) ($month%12);
	$total = (int)($year*12*30+$month*30);
	$day = intval($vonis-$total);
	$result['year'] = $year;
	$result['month'] = $month;
	$result['day'] = $day;
	return $result;
}
function fetchStatusPutusanText($data,$idpihak){
	$status ='';
	foreach ($data->result() as $row) {
		if($row->id==$idpihak){
			$satuan = $row->satuan;
			$infohukuman = '';
			if($satuan==1){
				$infohukuman = parse_day_to_year($row->durasi_nominal);
				$year = '';$month = '';$day = '';
				if(!empty($infohukuman['year'])){
					$year = $infohukuman['year'].' Tahun ';
				}
				if(!empty($infohukuman['month'])){
					$month = $infohukuman['month'].' Bulan ';
				}
				if(!empty($infohukuman['day'])){
					$day = $infohukuman['day'].' Hari';
				}
				$infohukuman = ' selama '.$year.$month.$day. 'waktu Terdakwa  berada dalam Tahanan  dikurangkan  seluruhnya dari  pidana yang dijatuhkan,';
			}elseif($satuan==2){
				$infohukuman = 'Rp.'.number_format($row->durasi_nominal,2,',','.');
			}
			$status .= $row->status_putusan_text.' '.$infohukuman.' ';
		}
	}
	return $status;
}

	$i=0;
	$counter=1;
	$idss = 0;
	foreach ($dataterdakwa->result() as $row) {
		if ($i<(count($dataterdakwa->result())-1)){
			$Template = str_replace("#pidanaTerdakwa#",'#pidanaTerdakwa'.$counter.'# \par #pidanaTerdakwa#',$Template);	
		}else{
			$Template = str_replace("#pidanaTerdakwa#",'#pidanaTerdakwa'.$counter.'#',$Template);
		} 
		$counter++;	
		$i++;
	};
	$i=0;
	$repeat = True;
	$idss = 0;$statusPutusanTerdakwa='';$dataz='';
	$counter=0;
	
	foreach ($status_putusan->result() as $rows) {
		$status_putusan_terdakwa = fetchStatusPutusanText($status_putusan,$rows->id);
		$namaStatusTerdakwa = $rows->nama;
		if($idss!=$rows->id){
				$counter++;
			
			$dataz = 'Terdakwa '.$counter.' ('.$namaStatusTerdakwa.') \par ';
			$dataz .= 'Pidana Pokok :  '.$status_putusan_terdakwa .'  dan pidana denda \par \par '; 
			$Template = str_replace("#pidanaTerdakwa".$counter."#",''.$dataz.'',$Template);
		}else{
			if ($counter==1){
				$Template = str_replace("#pidanaTerdakwa'.$counter.'#",''.$dataz.'',$Template);
				$dataz = 'Terdakwa '.$counter.' ('.$namaStatusTerdakwa.')';
			}
			$dataz .= 'Pidana Pokok :  '.$status_putusan_terdakwa .' \par \par '; 
		}
		$idss = $rows->id;
		$i++;
	}


function in_multiarray($sval, $arr){
	$ret = false;
	foreach ($arr as $value) {
		if (is_array($value)){
			$ret = $ret | in_multiarray($sval, $value);
		}else{
			if ($value == $sval){
				return true;
			}
		}
	}
	return $ret;
}

$dataPutusan = $dataTemplate;
$terdakwa = array();
$hakim = array();
$saksi = array();
foreach ($dataPutusan->result() as $row) {
    if (!in_multiarray($row->namat, $terdakwa)){
    	$terdakwaItem = array();
    	$terdakwaItem["nama"] = $row->namat;
    	$terdakwaItem["alamat"] = $row->alamatt;
    	$terdakwaItem["urutant"] = $row->urutanT;
    	$terdakwaItem["tlt"] = $row->tlt;
    	$terdakwaItem["tgllhrt"] = $row->tgllhrt;
    	$terdakwaItem["jkt"] = $row->jkt;
    	$terdakwaItem["agama"] = $row->agamat;
    	$terdakwaItem["alamatt"] = $row->alamatt;
    	$terdakwaItem["nrpt"] = $row->nrpt;
    	$terdakwaItem["jabatant"] = $row->jabatant;
    	$terdakwaItem["pangkatt"] = $row->pangkatt;
    	$terdakwaItem["kesatuan"] = $row->kesatuan;
    	$terdakwa[] = $terdakwaItem;
    }
    if (!in_multiarray($row->nama_hakim, $hakim)){
    	$hakimItem = array();
    	$hakimItem["urutan_hakim"] = $row->urutan_hakim;
    	$hakimItem["nama_hakim"] = $row->nama_hakim;
    	$hakimItem["jabatan_hakim_nama"] = $row->jabatan_hakim_nama;
    	$hakimItem["jabatan_hakim_id"] = $row->jabatan_hakim_id;
    	$hakimItem["pangkat_hkm"] = $row->pangkat_hakim;
    	$hakimItem["nip_hkm"] = $row->nip_hakim;
    	$hakimItem["jabatan_hkm"] = $row->jabatan_hakim;
    	$hakim[] = $hakimItem;
    }
    if (!in_multiarray($row->nama_s, $saksi)){
    	$saksiItem = array();
    	$saksiItem["urutan_s"] = $row->urutan_s;
    	$saksiItem["nama_s"] = $row->nama_s;
    	$saksiItem["nrp"] = $row->nrp;
    	$saksiItem["pangkat"] = $row->pangkat;
    	$saksiItem["jabatan"] = $row->jabatan;
    	$saksiItem["kesatuan"] = $row->kesatuan;
    	$saksiItem["tempat_lahir_s"] = $row->tempat_lahir_s;
    	$saksiItem["tanggal_lahir_s"] = $row->tanggal_lahir_s;
    	$saksiItem["jenis_kelamin_s"] = $row->jenis_kelamin_s;
    	$saksiItem["agama_s"] = $row->agama_s;
    	$saksiItem["alamat_s"] = $row->alamat_s;
    	$saksi[] = $saksiItem;
    }

	$nomorperkara=$row->nomor_perkara;
	$urutan=$row->urutan_hakim;
	$jabatan=$row->jabatan_hakim_nama;
	$tglPenHakim   =$this->templatehelper->convertKeTglIndo($row->penetapan_majelis_hakim);
	$namaPejabat=$this->templatehelper->standradnaming($row->KetuaPNNama);
	$tanggalPendaftaran=$this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
	$tanggalSurat=$this->templatehelper->convertKeTglIndo($row->tgl_surat_dakwaan);
	$tglPenetapanharisidang=$this->templatehelper->convertKeTglIndo($row->penetapanharisidang);
	$nomorSurat=$row->nomor_surat;
	$tgl_pen_hakim=$this->templatehelper->convertKeTglIndo($row->penetapan_majelis_hakim);
	$tgl_pen_pp=$this->templatehelper->convertKeTglIndo($row->tgl_pen_pp);
	$kode_pn=$row->kode_pn;
	$nomurUrutPerkara = $row->nomor_urut_perkara;
	$matra=$row->matra;
	if($matra==1){
		$matra1='AD';
	}elseif ($matra==2) {
		$matra1='AL';
	}else{
		$matra1='AU';
	}
	$nomorSplit = explode("/",$nomorperkara);
	$blnSplit = $nomorSplit['3'];
	$thnSplit = $nomorSplit['4'];
	$nama_pengadilan=$row->namaPengadilan;
	$nama_kota=$this->templatehelper->namaKota($row->namaPengadilan);
	$tanggal_skeppera = $this->templatehelper->convertKeTglIndo($row->tanggal_skeppera);
	$nomor_skeppera = $row->nomor_skeppera;
	$tanggal_surat_dakwaan = $this->templatehelper->convertKeTglIndo($row->tanggal_surat_dakwaan);
	$nomor_surat_dakwaan = $row->nomor_surat_dakwaan;
	$nama_kadilmil = $row->KetuaPNNama;
	$Spengadilan = explode(" ",$row->pengadilan);
	$nmPengadilan = $Spengadilan['0'].' '.$Spengadilan['1'];
	$kotaPengadilan = $Spengadilan['3'];
	$kode_pn1 = str_replace("PM.", "", $kode_pn);
	$tanggal_sidang = $this->templatehelper->convertKeTglIndo($row->tanggal_sidang);
	$hari_sidang = $this->templatehelper->getHari($row->tanggal_sidang);
	$jam_sidang = $row->jam_sidang;
	$ruangan = $row->ruangan;
	$nama_pp =  $row->nama_pp;
	$isi_penuntutan=$this->templatehelper->cleanHtmlTag($row->isi_penuntutan);
	$tanggal_putusan =$this->templatehelper->convertKeTglIndo($row->tanggal_putusan);
	$amar_putusan =$this->templatehelper->cleanHtmlTag($row->amar_putusan);
	$nomorperkara =  $row->nomor_perkara;

	$jenis_barang_bukti = (!empty($row->jenis_barang_bukti)) ? $row->jenis_barang_bukti : '.......' ;
	$penyidik_mil = (!empty($row->penyidik_mil)) ? $row->penyidik_mil : '.......' ;
	$no_bap_penyidik_mil = (!empty($row->no_bap_penyidik_mil)) ? $row->no_bap_penyidik_mil : '.......' ;
	$tgl_penyidik_mil = (!empty($row->tgl_penyidik_mil)) ? $row->tgl_penyidik_mil : '.......' ;
	$berkas_dari = (!empty($row->berkas_dari)) ? $row->berkas_dari : '.......' ;
	$pejabat_skeppera = (!empty($row->pejabat_skeppera)) ? $row->pejabat_skeppera : '.......' ;

	if(empty($row->jenis_barang_bukti)){
		$jenis_barang_bukti ='...................';
	}else{
		$jenis_barang_bukti =  $row->jenis_barang_bukti;	
	}
	
	$pangkat_pp =  $row->pangkat_pp;
	$jabatan_pp =  $row->jabatan_pp;
	$nip_pp =  $row->nip_pp;
	$tanggal_putusan_sela = $row->tanggal_putusan_sela; 
	$amar_sela = $row->tanggal_putusan_sela;
	$dakwaan = $row->dakwaan;
	$tanggal_kejadian = $row->tanggal_kejadian;
	$tempat_kejadian = $row->tempat_kejadian;

}

$cterdakwa = count($terdakwa);
if($cterdakwa>1){
	$cTer='para terdakwa';
}else{
	$cTer='terdakwa';
}


$csaksi = count($saksi);
$i = 1;
foreach ($saksi as $item) {
	if($csaksi>1){
		$naskah  = "Saksi ".$this->templatehelper->converToAngkaRomawi($item["urutan_s"])."\b0 ;"."\\par ";
	}else{
		$naskah = "\\par ";
	}
	$pangkat = (!empty($item["pangkat"])) ? $item["pangkat"] : '.....';
	$jabatan = (!empty($item["jabatan"])) ? $item["jabatan"] : '.....';
	$kesatuan = (!empty($item["kesatuan"])) ? $item["kesatuan"] : '.....';
	
	$naskah .= 'Nama lengkap \tab : '.$this->templatehelper->standradnaming($item["nama_s"]).'\\par ';
	$naskah .= 'Pangkat/NRP \tab : '.$pangkat.'\\par ';
	$naskah .= 'Jabatan/Pekerjaan \tab : '.$jabatan.'\\par ';
	$naskah .= 'Kesatuan/Instansi \tab : '.$kesatuan.'\\par ';
	$naskah .= 'Tempat, tanggal lahir \tab : '.$item["tempat_lahir_s"].','.$this->templatehelper->convertKeTglIndo($item["tanggal_lahir_s"]).'\\par ';
	$naskah .= 'Kewarganegaraan \tab : '.'Indonesia'.'\\par ';
	$naskah .= 'Jenis kelamin \tab : '.$item["jenis_kelamin_s"].'\\par ';
	$naskah .= 'Agama \tab : '.$item["agama_s"].'\\par ';
	$naskah .= 'Tempat tinggal1 \tab : '.$item["alamat_s"].'\\par ';
	$brnaskah = $naskah.' \\par '.PHP_EOL.(($i<$csaksi)?("#saksiParties#"):(""));
	$Template = str_replace("#saksiParties#",''.$brnaskah.'',$Template);	
	$i++;
}

$cterdakwa = count($terdakwa);
$i = 1;
foreach ($terdakwa as $item) {
	if($cterdakwa>1){
		$naskah  = $this->templatehelper->standradnaming($item["nama"]).' '.$item["pangkatt"].' NRP '.$item["nrpt"];
	}else{
		$naskah = ",";
	}
	$brnaskah = $naskah.', '.PHP_EOL.(($i<$csaksi)?("#terdakwaDkk#"):(""));
	$Template = str_replace("#terdakwaDkk#",''.$brnaskah.'',$Template);
	$i++;
}


$cMajelis = count($hakim);
$i = 1;
foreach ($hakim as $item) {
	if($item['urutan_hakim']==1){
		$naskah =strtoupper($item["jabatan_hakim_nama"]).' \tab :'.$this->templatehelper->standradnaming($item["nama_hakim"]).' NRP. [NRP]';
		$hakim_ketua = $item["nama_hakim"];
	}else{
		$naskah =strtoupper($item["jabatan_hakim_nama"]).' \tab :'.($item["urutan_hakim"]-1).$this->templatehelper->standradnaming($item["nama_hakim"]).' NRP. [NRP]';
	}
	$brnaskah = ' \tab '.$naskah.' \\par '.PHP_EOL.(($i<$cMajelis)?("#hakimParties#"):(""));
	$Template = str_replace("#hakimParties#",''.$brnaskah.'',$Template);	
	$i++;
}

$jMajelis = count($hakim);
if($jMajelis>1){
		$Template = str_replace('#majelis1#','Ketua dengan dihadiri oleh para Hakim Anggota ',$Template);
		$Template = str_replace('#hakim/majelishakim#','Majelis Hakim Militer',$Template);
}else{
	$Template = str_replace('#majelis1#','Ketua',$Template);
	$Template = str_replace('#hakim/majelishakim#','Hakim',$Template);
}

$penetapan = '';
$hakim_anggotas = '';
$daftar_majelis = '';
$data_hakim = $hakim;
$majelis = true;
$i=1;$j=1;
foreach ($data_hakim as $row) {
    $tgl_penetapan_hakim = $tglPenHakim;$pangkat_hakim_ketua='';$hakim_anggota1='';$pangkat_anggota1='';$hakim_anggota2='';$pangkat_anggota2='';
	if($row['jabatan_hakim_id']==1){
		$penetapan .='kami, '.$this->templatehelper->standradnaming($row['nama_hakim']).' '.$row['jabatan_hkm'].' NRP '.$row['nip_hkm'].", sebagai ".$row['jabatan_hakim_nama']." ";
        $hakim_ketua = $this->templatehelper->standradnaming($row['nama_hakim']);
        $pangkat_hakim_ketua = $row['pangkat_hkm'].' NRP '.$row['nip_hkm'];
        $daftar_majelis .= $this->templatehelper->standradnaming($row['nama_hakim']).' \tab  Hakim Ketua;\\par ';
        $Template = str_replace("#hakim_ketua#",''.$hakim_ketua.'',$Template);
		$Template = str_replace("#pangkat_hakim_ketua#",''.$pangkat_hakim_ketua.'',$Template);
	}elseif($row['jabatan_hakim_id']==2){
        if ($i === count($data_hakim)){
            $penetapan .= 'dan ';
            $hakim_anggotas .= $this->templatehelper->standradnaming($row['nama_hakim']).'';
            $hakim_anggota1 = $this->templatehelper->standradnaming($row['nama_hakim']);
            $pangkat_anggota1 = $row['pangkat_hkm'].' NRP '.$row['nip_hkm'];
            $Template = str_replace("#hakim_anggota2#",''.$hakim_anggota1.'',$Template);
			$Template = str_replace("#pangkat_hakim2#",''.$pangkat_anggota1.'',$Template);
        }else{
            $penetapan .= ", serta ";
            if ($j==1 && $i>1){
                $hakim_anggotas .= $this->templatehelper->standradnaming($row['nama_hakim']).'\tab '.$hakim_ketua.'\\par \\par \\par ';
				$hakim_anggota2 = $this->templatehelper->standradnaming($row['nama_hakim']);
                $pangkat_anggota2 = $row['pangkat_hkm'].' NRP '.$row['nip_hkm'];
                $Template = str_replace("#hakim_anggota1#",''.$hakim_anggota2.'',$Template);
				$Template = str_replace("#pangkat_hakim1#",''.$pangkat_anggota2.'',$Template);
            }else{
                $hakim_anggotas .= $this->templatehelper->standradnaming($row['nama_hakim']).'\\par \\par \\par ';
            }
        }
		$penetapan .=$this->templatehelper->standradnaming($row['nama_hakim']).' '.$row['pangkat_hkm'].' NRP '.$row['nip_hkm'].' ';
        $daftar_majelis .= $this->templatehelper->standradnaming($row['nama_hakim']).' \tab  Hakim Anggota;\\par ';
        $j++;
	}elseif($row['jabatan_hakim_id']==3){
		$majelis = false;
		$penetapan .=$this->templatehelper->standradnaming($row['nama_hakim']).", sebagai Hakim,";
        $daftar_majelis .= $this->templatehelper->standradnaming($row['nama_hakim']).' \tab Hakim;\\par ';
        $hakim_ketua = $this->templatehelper->standradnaming($row['nama_hakim']);
	}
    $i++;
}


$Template = str_replace('#identitas_terdakwa#','#identitas_terdakwa#',$Template);
$numbering = true;
if($dataterdakwa->num_rows >1){
    for ($i=0; $i < $dataterdakwa->num_rows; $i++) { 
        $text = 'terdakwa'.($i+1);
        if($i==$dataterdakwa->num_rows-1){
            $Template = str_replace('#identitas_terdakwa#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#identitas_terdakwa#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#identitas_terdakwa#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#identitas_terdakwa#','#terdakwa#',$Template);
}

$cTerdakwa = $dataterdakwa->num_rows();
if($cTerdakwa>1){
    $Template = str_replace('#para/terdakwa#',' para terdakwa ',$Template);
}else{
    $Template = str_replace('#para/terdakwa#',' terdakwa ',$Template);
}


$counter = 1;
$arr_terdakwa = array();
if (!empty($dataterdakwa->num_rows)){   
    foreach ($dataterdakwa->result() as $row){
    	$listTerdakwa=$row->nama;
        $arr_terdakwa[]=$row->pihak_id;
        if ($dataterdakwa->num_rows==1) {
            $terdakwa = '\b0\\par ';
            $dkk = '';
        }else{
            $terdakwa = '\b Terdakwa '.$counter.'\b0\\par ';
            $dkk = ' .dkk';
        }

        $pangkat = (!empty($row->pangkat)) ? $row->pangkat : '.........';
        $jabatan = (!empty($row->jabatan)) ? $row->jabatan : '.........';
        $kesatuan = (!empty($row->kesatuan)) ? $row->kesatuan : '.........';
        $agama_nama = (!empty($row->agama_nama)) ? $row->agama_nama : '.........';

        $pihak2 = $terdakwa;
        $pihak2 .= 'Nama \tab\tab :\tab '.$this->templatehelper->standradnaming($row->nama).'\\par ';
        $pihak2 .= 'Pangkat / Nrp \tab :\tab '.$pangkat.' \\par ';
        $pihak2 .= 'J a b a t a n \tab :\tab '.$jabatan.' \\par ';
        $pihak2 .= 'K e s a t u a n \tab :\tab '.$kesatuan.'\\par ';
        $pihak2 .= 'Tempat/Tanggal lahir \tab :\tab '.$this->templatehelper->convertKeTglIndo($row->tanggal_lahir).'\\par ';
        $row->jenis_kelamin = $row->jenis_kelamin == 'P' ? 'Perempuan': 'Laki-laki';
        $pihak2 .= 'Jenis kelamin \tab :\tab '.$row->jenis_kelamin.'\\par ';
        $pihak2 .= 'Kewarganegaraan \tab :\tab'.' Indonesia'.'\\par ';
        $pihak2 .= 'Agama \tab:\tab'.$agama_nama.'\\par ';
        $pihak2 .= 'Tempat tinggal \tab :\tab '.$row->alamat.'\\par \\par';
        

        $temp = '';$temp2 = '';
        $counterpenahanan = 'a';
        $counterstatuspenahanan = 1;
        $counterpapera=1;
        $status_penahanan = '';$penahanan_pihak=array();
        foreach ($datapenahanan->result() as $baris) {
            if((trim($baris->pihak_id))==$row->pihak_id){
                $penahanan_pihak[]=$baris;
            }
        }

        $jenis_penahanan_id=-100;
        if (!empty($penahanan_pihak)){
            foreach ($penahanan_pihak as $val){
                $temp = ' '.strtolower($val->status_penahanan.' pada '.$val->jenis_tahanan);
                $temp2 = '';
                if ($status_penahanan != $val->status_penahanan || $status_penahanan ===''){
                    $pihak2 .= ' '.$counterstatuspenahanan.'. Terdakwa '.$this->templatehelper->standradnaming($row->nama).' '.$temp.' oleh: \\par ';
                    $counterstatuspenahanan++;
                }
                if($val->jenis_penahanan_id==='15'){
                	$temp2 = ' berdasarkan Keputusan Penahanan Sementara nomor :';
                }elseif($val->jenis_penahanan_id==='16'){
                	$temp2 = ' berdasarkan Keputusan Perpanjangan Penahanan nomor :';
                }else{
                	$temp2 = ' berdasarkan Penetapan Penahanan nomor :';
                }
                $val->oleh=str_replace('Atasan Yang Berhak Menghukum (ANKUM)', ' selaku Ankum', $val->oleh);
                if ($jenis_penahanan_id!=$val->jenis_penahanan_id){
                	switch(intval($val->jenis_penahanan_id)) {
                		case 15:
                			$pihak2.=' \fi-731\li1440\tab '.$counterpenahanan.'.\tab '.$val->pejabat_penahan.' '.$val->oleh.' selama '.$val->lama_penahanan.' ('.$this->templatehelper->Terbilang($val->lama_penahanan).') hari sejak tanggal '
		                		.$this->templatehelper->convertKeTglIndo($val->sejak).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val->sampai).' '
		                		.$temp2.$val->nomor_surat.' tanggal '.$this->templatehelper->convertKeTglIndo($val->tanggal_surat).' \\par ';
		                	$counterpenahanan++;	
                		break;
                		case 16:
                			$pihak2.='\fi-731\li1440\tab '.$counterpenahanan.'. \tab '.$val->pejabat_penahan.' selaku Perwira Penyerah Perkara memperpanjang penahanan Terdakwa sebagai berikut: \par ';
                			$pihak2.='\fi-284 \lin1843 '.$counterpapera.').'.$val->oleh.' selama '.$val->lama_penahanan.' ('.$this->templatehelper->Terbilang($val->lama_penahanan).') hari sejak tanggal '
		                		.$this->templatehelper->convertKeTglIndo($val->sejak).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val->sampai).' '
		                		.$temp2.$val->nomor_surat.' tanggal '.$this->templatehelper->convertKeTglIndo($val->tanggal_surat).' \\par ';
		                	$counterpenahanan++;$counterpapera++;
                		break;
                		case 17:
                		case 18:
                		case 19:
                		case 20:
                		case 21:
                			$pihak2.='\fi-284 \lin1843 '.$counterpapera.').'.$val->oleh.' selama '.$val->lama_penahanan.' ('.$this->templatehelper->Terbilang($val->lama_penahanan).') hari sejak tanggal '
		                		.$this->templatehelper->convertKeTglIndo($val->sejak).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val->sampai).' '
		                		.$temp2.$val->nomor_surat.' tanggal '.$this->templatehelper->convertKeTglIndo($val->tanggal_surat).' \\par ';
		                	$counterpapera++;
                		break;
                		default:
                			$pihak2.=' \fi-731\li1440\tab '.$counterpenahanan.'. \tab '.$val->oleh.' selama '.$val->lama_penahanan.' ('.$this->templatehelper->Terbilang($val->lama_penahanan).') hari sejak tanggal '
		                		.$this->templatehelper->convertKeTglIndo($val->sejak).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val->sampai).' '
		                		.$temp2.$val->nomor_surat.' tanggal '.$this->templatehelper->convertKeTglIndo($val->tanggal_surat).' \\par ';
		                	$counterpenahanan++;
                		break;
                	}
                }
                $status_penahanan = $val->status_penahanan;
                $jenis_penahanan_id=$val->jenis_penahanan_id;
            }
        }else{
			$pihak2 .= 'Terdakwa tidak ditahan';

        }
    
     if($numbering==true){
            $Template = str_replace('#terdakwa'.$counter.'#',$pihak2,$Template);
            $Template = str_replace('#terdakwa/paraterdakwa#','Para Terdakwa',$Template);
            $Template = str_replace('#terdakwa/paraterdakwa2#','PARA TERDAKWA',$Template);
        }else{
           $Template = str_replace('#terdakwa#',$pihak2,$Template);
           $Template = str_replace('#terdakwa/paraterdakwa#','Terdakwa',$Template);
        }
        $counter++;
    }
}

$dataOditur = $oditur;
$i = 1;$dataOd='';$dataOd_list='';
$cDataOdit = count($dataOditur);
foreach ($dataOditur->result() as $val) {
	$nama_odit = $val->nama; 
	$nrp_odit = $val->nrp; 
	$pangkat_odit = $val->pangkat; 
	$jabatan_odit = $val->jabatan; 
	$kesatuan_odit = $val->kesatuan; 
	$dataOd .= $nama_odit.' '.$pangkat_odit.'NRP'.$nrp_odit.' \\par ';
	if($cDataOdit>0){
		$dataOd_list .= $nama_odit.' '.$pangkat_odit.'NRP'.$nrp_odit.' ,';
	}else{
		$dataOd_list .= $nama_odit.' '.$pangkat_odit.'NRP'.$nrp_odit;
	}
	$i++;
}
$Template = str_replace('#oditur#',''.$dataOd.'',$Template);
$Template = str_replace('#oditur_list#',''.$dataOd_list.'',$Template);

$dataPengacara = $pengacara;
$i = 1;$dataP='';$data_p_list='';
$cDataP = count($dataPengacara);
foreach ($dataPengacara->result() as $val) {
	$nama_p = $val->nama; 
	$nrp_p = $val->nrp; 
	$pangkat_p = $val->pangkat; 
	$jabatan_p = $val->jabatan; 
	$kesatuan_p = $val->kesatuan; 
	$dataP .= $nama_p.' '.$pangkat_p.'NRP'.$nrp_p.' \\par ';
	if($cDataP>0){
		$data_p_list .= $nama_p.' '.$pangkat_p.'NRP'.$nrp_p.' ,';
	}else{
		$data_p_list .= $nama_p.' '.$pangkat_p.'NRP'.$nrp_p;
	}
	$i++;
}
$Template = str_replace('#pengacara#',''.$dataP.'',$Template);
$Template = str_replace('#pengacara_list#',''.$data_p_list.'',$Template);

if($ket_oditur==1){
	$ket_oditur = 'Menerima putusan';
}elseif($ket_oditur==2){
	$ket_oditur = 'Mohon waktu untuk berpikir';
}elseif($ket_oditur==3){
	$ket_oditur = 'Mengajukan permohonan banding';
}elseif($ket_oditur==4){
	$ket_oditur = 'Mengajukan permohonan kasasi';
}

$Template = str_replace("#ket_oditur#",''.$ket_oditur.'',$Template);

if($ket_terdakwa==1){
	$ket_terdakwa = 'Menerima putusan';
}elseif($ket_terdakwa==2){
	$ket_terdakwa = 'Mohon waktu untuk berpikir';
}elseif($ket_terdakwa==3){
	$ket_terdakwa = 'Mengajukan permohonan banding';
}
$Template = str_replace("#ket_terdakwa#",''.$ket_terdakwa.'',$Template);

if (empty($tanggalSurat)){ $tanggalSurat="#Isi Dulu Tanggal Surat Pada Aplikasi#"; }
$Template = str_replace("#terdakwa#",''.$cTer.'',$Template);
$Template = str_replace("#listTerdakwa#",''.$listTerdakwa.' '.$dkk.'',$Template);
$Template = str_replace("#namaPengadilan#",''.$nama_pengadilan.'',$Template);
$Template = str_replace("#nomor_register#",''.$nomorperkara.'',$Template);
$Template = str_replace("#tanggal_register#",''.$tanggalPendaftaran.'',$Template);
$Template = str_replace("#tgl_pen_hakim#",''.$tgl_pen_hakim.'',$Template);
$Template = str_replace("#tgl_pen_pp#",''.$tgl_pen_pp.'',$Template);
$Template = str_replace("#tgl_tapsid#",''.$tglPenetapanharisidang.'',$Template);
$Template = str_replace("#tanggalSurat#",''.$tanggalSurat.'',$Template);
$Template = str_replace("#kode_pn#",''.$kode_pn.'',$Template);
$Template = str_replace("#kode_pn1#",''.$kode_pn1.'',$Template);
$Template = str_replace("#matra#",''.$matra1.'',$Template);
$Template = str_replace("#nomor#",''.$nomurUrutPerkara.'',$Template);
$Template = str_replace("#bulan#",''.$blnSplit.'',$Template);
$Template = str_replace("#tahun#",''.$thnSplit.'',$Template);
$Template = str_replace("#kode_pn#",''.$kode_pn.'',$Template);
$Template = str_replace("#nomor_keppera#",''.$nomor_skeppera.'',$Template);
$Template = str_replace("#tanggal_keppera#",''.$tanggal_skeppera.'',$Template);
$Template = str_replace("#nomor_dakwaan#",''.$nomor_surat_dakwaan.'',$Template);
$Template = str_replace("#tanggal_dakwaan#",''.$tanggal_surat_dakwaan.'',$Template);
$Template = str_replace("#nama_kadilmil#",''.$nama_kadilmil.'',$Template);
$Template = str_replace("#kota_pn#",''.ucwords(strtolower($kotaPengadilan)).'',$Template);
$Template = str_replace("#kota_pn1#",''.$kotaPengadilan.'',$Template);
$Template = str_replace("#nama_panitera#",''.$nama_pp.'',$Template);
$Template = str_replace("#jabatan_pp#",''.$pangkat_pp.' NRP '.$nip_pp.'',$Template);
$Template = str_replace("#hari_sidang#",''.$hari_sidang.'',$Template);
$Template = str_replace("#tanggal_sidang#",''.$tanggal_sidang.'',$Template);
$Template = str_replace("#waktu_sidang#",''.$jam_sidang.'',$Template);
$Template = str_replace("#tempat_sidang#",' '.$ruangan.' '.ucwords(strtolower($nama_pengadilan)).' '.ucwords(strtolower($kotaPengadilan)),$Template);
$Template = str_replace("#nama_hakim_ketua#",''.$hakim_ketua.'',$Template);
$Template = str_replace("#isi_penuntutan#",''.$isi_penuntutan.'',$Template);
$Template = str_replace("#tanggal_putusan#",''.$this->templatehelper->convertKeTglIndo($tanggal_putusan).'',$Template);
$Template = str_replace("#hari_putusan#",''.$this->templatehelper->getHari($tanggal_putusan).'',$Template);
$Template = str_replace("#amar_putusan#",''.$amar_putusan.'',$Template);
$Template = str_replace("#jenis_barang_bukti#",''.$jenis_barang_bukti.'',$Template);
$Template = str_replace("#penyidik_mil#",''.$penyidik_mil.'',$Template);
$Template = str_replace("#no_bap_penyidik_mil#",''.$no_bap_penyidik_mil.'',$Template);
$Template = str_replace("#tgl_penyidik_mil#",''.$this->templatehelper->convertKeTglIndo($tgl_penyidik_mil).'',$Template);
$Template = str_replace("#berkas_dari#",''.$berkas_dari.'',$Template);
$Template = str_replace("#pejabat_skeppera#",''.$pejabat_skeppera.'',$Template);
$Template = str_replace("#hari_putusan_sela#",''.$this->templatehelper->getHari($tanggal_putusan_sela).'',$Template);
$Template = str_replace("#tgl_putusan_sela#",''.$this->templatehelper->convertKeTglIndo($tanggal_putusan_sela).'',$Template);
$Template = str_replace("#amar_sela#",''.$amar_sela.'',$Template);
$Template = str_replace("#dakwaan#",''.$dakwaan.'',$Template);

$Template = str_replace("#tanggal_kejadian#",''.$tanggal_kejadian.'',$Template);
$Template = str_replace("#tempat_kejadian#",''.$tempat_kejadian.'',$Template);

if($majelis){
	$Template = str_replace('#majelis#',$penetapan.'masing-masing sebagai Hakim Anggota I dan Hakim Anggota II,',$Template);
    $Template = str_replace('#majelis1#','Ketua dengan dihadiri oleh para Hakim Anggota ',$Template);
    $Template = str_replace('#header_hakim_anggotas#','Hakim Anggota,\tab Hakim Ketua,',$Template);
    $Template = str_replace('#hakim_anggotas#',$hakim_anggotas,$Template);
    $Template = str_replace('#nama_pp_td#','Panitera Pengganti,\\par \\par \\par '.$nama_pp.' \\par ',$Template);
    $Template = str_replace('#daftar_majelis#',$daftar_majelis,$Template);
    $Template = str_replace('#hakim/majelishakim#','Majelis Hakim',$Template);
    $Template = str_replace('#ketua#',' Ketua',$Template);
    $Template = str_replace("#hakim_ketua#",''.$hakim_ketua.'',$Template);
}else{
	$Template = str_replace('#majelis#',$penetapan,$Template);
    $Template = str_replace('#majelis1#','',$Template);
    $Template = str_replace('#header_hakim_anggotas#','Panitera Pengganti,\tab Hakim Ketua,',$Template);
    $Template = str_replace('#hakim_anggotas#',$nama_pp.'\tab '.$hakim_ketua,$Template);
    $Template = str_replace('#nama_pp_td#','',$Template);
    $Template = str_replace('#hakim/majelishakim#','Hakim',$Template);
    $Template = str_replace('#ketua#','',$Template);
    $Template = str_replace("#hakim_ketua#",''.$hakim_ketua.'',$Template);
    
}

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?>